
name = "Gesture items"
description = "把你的物品和鼠标手势绑定起来！\n====功能===||==========================描述=========================\n【绑定物品】：拿起要绑定的物品，按住[绑定键]（默认:Shift+鼠标中键）不松开，将    -                             鼠标向某一方向移动，然后松开[绑定键]即可完成物品与该手势方向    -                             的绑定\n【使用物品】：按住[触发键]（默认：鼠标中键）不松开，将鼠标光标向该物品绑定   -                             的方向移动，然后松开[触发键]。\n【快速切换】：直接单击[触发键]不移动鼠标 将会在最近使用过的装备之间切换。\n【解除绑定】：什么也不拿着的情况下，执行【绑定物品】操作。\n【防抖距离】：按住[校准键]（默认：\">\"）不松开，将鼠标向任意方向移动，然后松    -                             开。松开时鼠标距离起点的距离称为[容错值]，之后使用手势时鼠标    -                             移动的距离小于此[容错值]时视为鼠标没有移动。\nEnglish speaker please check the configuration_options ↓\nand get information there"
author = "Potter_Lee"
version = "1.2.1"

forumthread = ""

api_version = 10
priority = 10

--This lets the clients know that thez need to download the mod before they can join a server that is using it.
all_clients_require_mod = false

--This let's the game know that this mod doesn't need to be listed in the server's mod listing
client_only_mod = true

--Let the mod system know that this mod is functional with Don't Starve Together
dont_starve_compatible = false
reign_of_giants_compatible = false

dst_compatible = true

--These tags allow the server running this mod to be found with filters from the server listing screen
server_filter_tags = {}

icon_atlas = "preview.xml"
icon = "preview.tex"

configuration_options =
{
    {
        name = "x",
        label = "鼠标放在英文上可见中文",
        options = {{description = "",data = 0}, }, default = 0,
    },
    {
        name = "language",
        label = "English speaker please",
        hover = "中文简体玩家请无视本行设置，不要对本行设置做出改动",
        options =
        {
            {description = "Point Here!", data = 0, hover = "This mod allow you : Assign items with your mouse gesture\n< turn to next page for more information and set Language to \"English\">"
            },
            {description = "Assign item", data = 1, hover = "|| How to Assign item ||: Hold the item you wana assign, press [Assign Key] down, move your Cursor \ntowards one direction, then free [Assign Key]. Now you assign the item to this gesture direction successfully\n.                                           < turn to next page for more information >"},
            {description = "Use item", data = 1.1, hover = "||How to use item||: Press [Toggle Key] down, move your Cursor \ntowards the direction (which you assigned the item to), then free [Toggle Key]\n.                                           < turn to next page for more information >"},
            {description = "QuickSwitch", data = 1.2, hover = "||QuickSwitch||: Tap [Toggle Key] and not to move your Cursor.\n Then you wil equip the item you equipped (by this mod) last time\n.                                           < turn to next page for more information >"},
            {description = "unAssign", data = 1.3, hover = "||unassign||: Hold nothing and do as |Assign item|     \n.                                           < turn to next page for more information >"},
            {description = "Calibration", data = 1.4, hover = "||What's Calibration mean||: Press [Calibration Key] down, move your Cursor to any direction, \nthen free [Calibration Key]. The distance from Cursor(now) to Cursor(origin) is called [Invalid Distance],\nthen when you use gesture and the \"moved-distance of Cursor\" is shorter than [Invalid Distance], \n\nthis mod wil think that you didn't move the Cursor < turn to next page for more information >"},
            {description = "English", data = 1.5, hover = "Language of this mod had been set to \"English\"\nThank you for reading !"},
        },
        default = 0,
    },
    {
        name = "TOGGLE_KEY",
        label = "Toggle Key",
        hover = "触发键",
        options = 
        {
            {description = "Mouse Mid", data = 1002, hover = "鼠标中键"},
            {description = "Z", data = "Z", hover = "Z"},
            {description = "X", data = "X", hover = "X"},
            {description = "C", data = "C", hover = "C"},
            {description = "V", data = "V", hover = "V"},
            {description = "R", data = "R", hover = "R"},
            {description = "G", data = "G", hover = "G"},
        }, 
        default = 1002,
    },
    {
        name = "BOUND_KEY",
        label = "Assign Key",
        hover = "绑定键",
        options = 
        {
            {description = "Ctrl+Toggle", data = 0, hover = "Ctrl + 触发键(若出现bug，请换回Shift)\nCtrl + Toggle Key (if any bugs in game,please change back to Shift)"},
            {description = "Shift+Toggle", data = 1, hover = "Shift + 触发键\nShift + Toggle Key"},
            {description = "Alt+Toggle", data = 2, hover = "Alt + 触发键(若出现bug，请换回Shift)\nAlt + Toggle Key(if any bugs in game,please change back to Shift)"},
        }, 
        default = 1,
    },
    {
        name = "DPI_KEY",
        label = "Calibration Key",
        hover = "校准键",
        options = 
        {
            {description = "<", data = ","},
            {description = ">", data = "."},
            {description = "/", data = "/"},
            {description = "J", data = "J"},
            {description = "K", data = "K"},
            {description = "L", data = "L"},
            {description = ";", data = ";"},
            {description = "'", data = "'"},
            {description = "[", data = "["},
            {description = "]", data = "]"},
        }, 
        default = ".",
    },
    {
        name = "style",
        label = "gesture style",
        hover = "手势样式",
        options = 
        {
            {description = "like\"＋\"", data = "+", hover = "像\"＋\"号一样(四向)\nfour directions"},
            {description = "like\"Ｘ\"", data = "x", hover = "像\"Ｘ\"字一样(斜四向)\nslant four directions"},
            {description = "like\"米\"", data = "8", hover = "像\"米\"字一样(八向)\neight directions"},
        },
        default = "8",
    },
    {
        name = "ShowInCenter",
        label = "ShowGUIinCenter",
        hover = "在屏幕中心显示界面",
        options = 
        {
            {description = "yes", data = true, hover = "在屏幕中心显示界面\nShow GUI in center of screen"},
            {description = "no", data = false, hover = "在按下按键的地方显示界面\nShow GUI in where I toggled the GUI"},
        },
        default = false,
    },
    {
        name = "boundbyname",
        label = "Assign by",
        hover = "绑定方式",
        options = 
        {
            {description = "item's name", data = true, hover = "按物品名字绑定（退出游戏后保留记忆）\n[Memory support]:bound can work evenif you restart game"},
            {description = "item's entity", data = false, hover = "按实际物品绑定（不支持记忆）\n[No Memory support]:bound doesn't work after you restart game"},
        },
        default = true,
    },
    {
        name = "MemoryAll",
        label = "Memory Mode",
        hover = "记忆模式",
        options = 
        {
            {description = "Global", data = true, hover = "全局（所有世界共用一个绑定表）\nAll worlds have only one memory data"},
            {description = "Each world", data = false, hover = "区分世界（每个世界单独存储绑定表）\nEach world has it's memory data"},
        },
        default = true,
    },
    {
        name = "AutoCraft",
        label = "AutoCraft",
        hover = "是否自动制作物品",
        options = 
        {
            {description = "yes plz", data = true, hover = "当已绑定物品无法找到时，帮我自动制作它\nCraft items for me when it's not in my inventory"},
            {description = "no thx", data = false, hover = "当已绑定物品无法找到时，只提示我，而不自动制作它\nOnly notice me when the item is not in my inventory"},
        },
        default = true,
    },
    {
        name = "ShowWhenToggle",
        label = "ShowUI?",
        hover = "触发时是否显示UI",
        options = 
        {
            {description = "yes", data = true, hover = "当按下触发键时显示UI\nShow UI when I press [Toggle Key] down"},
            {description = "no", data = false, hover = "当按下触发键时不显示UI\nNot to show UI when I press [Toggle Key] down"},
        },
        default = true,
    },
    
}
