Assets = {Asset("IMAGE", "images/yuan.tex"), Asset("ATLAS", "images/yuan.xml"), }
local _G = GLOBAL
local TheInputProxy = _G.TheInputProxy
local TheInput = _G.TheInput
_G.GI = {
    DATA_FILE = "mod_config_data/keyitems_data_save",
    DATA = {},
    Speech = { CantMake = {}, TryMake = {}, CantFind = {},},
    KeyDown = {},
}
local GI = _G.GI
--读取配置--
local TOGGLE_KEY = GetModConfigData("TOGGLE_KEY") or 1002
local BOUNDKEY = GetModConfigData("BOUND_KEY") or 1
local BOUNDBYNAME = GetModConfigData("boundbyname")
local MEMORYALL = GetModConfigData("MemoryAll")
local STYLE = GetModConfigData("style") or "8"
local DPI_KEY = GetModConfigData("DPI_KEY") or "."
local LANG = GetModConfigData("language") or 0
local AUTOCRAFT = GetModConfigData("AutoCraft")
local SHOWWHENTOGGLE = GetModConfigData("ShowWhenToggle")
local SHOWINCENTER = GetModConfigData("ShowInCenter")
--
if type(TOGGLE_KEY) == "string" then TOGGLE_KEY = TOGGLE_KEY:lower():byte() end
if BOUNDKEY == 0 then BOUNDKEY = _G.KEY_CTRL end
if BOUNDKEY == 1 then BOUNDKEY = _G.KEY_SHIFT end
if BOUNDKEY == 2 then BOUNDKEY = _G.KEY_ALT end
if type(DPI_KEY) == "string" then DPI_KEY = DPI_KEY:byte() end
LANG = math.floor(LANG)
--
GI.TOGGLE_KEY = TOGGLE_KEY
GI.BOUNDKEY = BOUNDKEY
GI.BOUNDBYNAME = BOUNDBYNAME
GI.MEMORYALL = MEMORYALL
GI.STYLE = STYLE
GI.DPI_KEY = DPI_KEY
GI.LANG = LANG
GI.AUTOCRAFT = AUTOCRAFT
GI.SHOWWHENTOGGLE = SHOWWHENTOGGLE
GI.SHOWINCENTER = SHOWINCENTER

GI.NOUSE = true
GI.FORCE = true
GI.EXCHANGE = true


--patched--
modimport("scripts/patches/speech.lua")
modimport("scripts/patches/utils.lua")
modimport("scripts/patches/keyfunctions.lua")
--Handler--
if GI.TOGGLE_KEY < 1000 then
    TheInput:AddKeyDownHandler(GI.TOGGLE_KEY, GI.ToggleKeyDownFn)
    TheInput:AddKeyUpHandler(GI.TOGGLE_KEY, GI.ToggleKeyUpFn)
else
    TheInput:AddMouseButtonHandler(GI.MouseButtonFn)
end
TheInput:AddKeyDownHandler(GI.DPI_KEY, GI.DPIKeyDownFn)
TheInput:AddKeyUpHandler(GI.DPI_KEY, GI.DPIKeyUpFn)
--UI--
local GIMain = _G.require("widgets/gimain")
local function addWidgets(self)
    GI.controls = self
    GI.controls.gim = self:AddChild(GIMain())
    GI.gim = GI.controls.gim
    GI.gim:SetHAnchor(0)
    GI.gim:SetVAnchor(0)
    GI.gim:SetPosition(0,0,0)
end
AddClassPostConstruct("widgets/controls", addWidgets)
--load--
GI.Load()
GI.Init()