
name = "Gesture items"
description = "把你的物品和鼠标手势绑定起来！Ver:1.2.2\n====功能===||==========================描述=========================\n【绑定物品】：拿起要绑定的物品，按住[绑定键]（默认:Shift+鼠标中键）不松开，将    -                             鼠标向某一方向移动，然后松开[绑定键]即可完成物品与该手势方向    -                             的绑定\n【使用物品】：按住[触发键]（默认：鼠标中键）不松开，将鼠标光标向该物品绑定   -                             的方向移动，然后松开[触发键]。\n【快速切换】：直接单击[触发键]不移动鼠标 将会在最近使用过的装备之间切换。\n【解除绑定】：什么也不拿着的情况下，执行【绑定物品】操作。\n【防抖距离】：按住[校准键]（默认：\">\"）不松开，将鼠标向任意方向移动，然后松    -                             开。松开时鼠标距离起点的距离称为[容错值]，之后使用手势时鼠标    -                             移动的距离小于此[容错值]时视为鼠标没有移动。\n"
author = "Potter_Lee"
version = "1.2.2"

forumthread = ""

api_version = 10
priority = 10

--This lets the clients know that thez need to download the mod before they can join a server that is using it.
all_clients_require_mod = false

--This let's the game know that this mod doesn't need to be listed in the server's mod listing
client_only_mod = true

--Let the mod system know that this mod is functional with Don't Starve Together
dont_starve_compatible = false
reign_of_giants_compatible = false

dst_compatible = true

--These tags allow the server running this mod to be found with filters from the server listing screen
server_filter_tags = {}

icon_atlas = "preview.xml"
icon = "preview.tex"

configuration_options =
{
    {
        name = "language",
        label = "语言",
        hover = "",
        options =
        {
            {description = "简体中文", data = 0, hover = ""},
            {description = "英格林氏", data = 1, hover = ""},
        },
        default = 0,
    },
    {
        name = "TOGGLE_KEY",
        label = "触发键",
        hover = "",
        options = 
        {
            {description = "鼠标中键", data = 1002, hover = ""},
            {description = "Z", data = "Z", hover = "Z"},
            {description = "X", data = "X", hover = "X"},
            {description = "C", data = "C", hover = "C"},
            {description = "V", data = "V", hover = "V"},
            {description = "R", data = "R", hover = "R"},
            {description = "G", data = "G", hover = "G"},
        }, 
        default = 1002,
    },
    {
        name = "BOUND_KEY",
        label = "绑定键",
        hover = "",
        options = 
        {
            {description = "Ctrl+触发键", data = 0, hover = "Ctrl + 触发键(若出现bug，请换回Shift)"},
            {description = "Shift+触发键", data = 1, hover = "Shift + 触发键"},
            {description = "Alt+触发键", data = 2, hover = "Alt + 触发键(若出现bug，请换回Shift)"},
        }, 
        default = 1,
    },
    {
        name = "DPI_KEY",
        label = "校准键",
        hover = "",
        options = 
        {
            {description = "<", data = ","},
            {description = ">", data = "."},
            {description = "/", data = "/"},
            {description = "J", data = "J"},
            {description = "K", data = "K"},
            {description = "L", data = "L"},
            {description = ";", data = ";"},
            {description = "'", data = "'"},
            {description = "[", data = "["},
            {description = "]", data = "]"},
        }, 
        default = ".",
    },
    {
        name = "style",
        label = "手势样式",
        hover = "",
        options = 
        {
            {description = "like\"＋\"", data = "+", hover = "像\"＋\"号一样(四向)\n"},
            {description = "like\"Ｘ\"", data = "x", hover = "像\"Ｘ\"字一样(斜四向)\n"},
            {description = "like\"米\"", data = "8", hover = "像\"米\"字一样(八向)\n"},
        },
        default = "8",
    },
    {
        name = "ShowInCenter",
        label = "在屏幕中心显示界面",
        hover = "",
        options = 
        {
            {description = "屏幕中心", data = true, hover = "在屏幕中心显示界面\n"},
            {description = "鼠标位置", data = false, hover = "在按下按键时鼠标位置显示界面\n"},
        },
        default = false,
    },
    {
        name = "boundbyname",
        label = "绑定方式",
        hover = "",
        options = 
        {
            {description = "物品名称", data = true, hover = "按物品名字绑定（退出游戏后保留记忆）\n"},
            {description = "物品实体", data = false, hover = "按实际物品绑定（不支持记忆）"},
        },
        default = true,
    },
    {
        name = "MemoryAll",
        label = "记忆模式",
        hover = "",
        options = 
        {
            {description = "全局", data = true, hover = "全局（所有世界共用一个绑定表）\n"},
            {description = "区分世界", data = false, hover = "区分世界（每个世界单独存储绑定表）\n"},
        },
        default = true,
    },
    {
        name = "AutoCraft",
        label = "是否自动制作物品",
        hover = "",
        options = 
        {
            {description = "自动制作", data = true, hover = "当已绑定物品无法找到时，帮我自动制作它\n"},
            {description = "只提示", data = false, hover = "当已绑定物品无法找到时，只提示我，而不自动制作它\n"},
        },
        default = true,
    },
    {
        name = "ShowWhenToggle",
        label = "触发时是否显示UI",
        hover = "",
        options = 
        {
            {description = "显示", data = true, hover = "当按下触发键时显示UI\n"},
            {description = "不显示", data = false, hover = "当按下触发键时不显示UI\n"},
        },
        default = true,
    },
    
}
